import pytest
from a5 import *


@pytest.fixture(scope="session", autouse=True)
def model():
    lm = UnigramModel()
    lm.train(['the', 'the', 'the', 'the', 'the', 'the',
              'a', 'a', 'a', 'a', 'a', 'a',
              'an', 'an', 'an', 'an', 'an',
              'is', 'is', 'is', 'is', 'is',
              'it', 'it', 'it', 'it', 'it',
              'them', 'them',
              'at', 'at',
              'on', 'on',
              'and', 'and',
              'eat', 'eat', 'eat',
              'to', 'to', 'to',
              'good'
              'man',
              'thema',
              'toe', ])
    return lm


def test_segmentation(model):
    assert segment_sequence('isitgoodtoeat', prob_func=model.get_logprob) == 'is it good to eat'
    assert segment_sequence('theman', prob_func=model.get_logprob) == 'them an'
    assert segment_sequence('themanruns', prob_func=model.get_logprob) == 'them an runs'
    assert segment_sequence('wannalookatanotherbook', prob_func=model.get_logprob) == 'w an nalook at an o the rbook'
